Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.kern
Class Maus

    java.lang.Object
      sum.kern.Maus

    public class Maus

extends Object

Eine Maus realisiert die Mauseingabe des verwendeten Computers. Diese ist gekennzeichnet durch die aktuelle Position der Maus auf dem Bildschirm des Computers und die Betaetigung der Maustaste (Klick) zu einem bestimmten Zeitpunkt.

Version:
  7.5 vom 29.10.2013
Author:
  Bernard Schriek

Constructor Summary
`Maus()` Die Maus wird initialisiert.

Method Summary
`boolean` | `doppelKlick()` Prueft, ob ein Doppelklick stattgefunden hat.
`void` | `gibFrei()` Dummy-Prozedur
`int` | `hPosition()` liefert die gegenwaertige horizontale Koordinate der Position der Maus auf dem Bildschirm, unabhaengig davon, ob die Maus gedrueckt wurde.
`boolean` | `istGedrueckt()` Prueft, ob eine Maustaste im Moment gedrueckt ist.
`boolean` | `spezialKlick()` Aus Kompatibilitätsgründen: spezialKlick() heisst jetzt doppelKlick().
`int` | `vPosition()` liefert die gegenwaertige vertikale Koordinate der Position der Maus auf dem Bildschirm, unabhaengig davon, ob die Maus gedrueckt wurde.

Methods inherited from class
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Maus

    public Maus()

  Die Maus wird initialisiert.

Method Detail

### doppelKlick

    public boolean doppelKlick()

  Prueft, ob ein Doppelklick stattgefunden hat.

  Returns:
    true, wenn ein Doppelklick stattgefunden hat.

### gibFrei

    public void gibFrei()

  Dummy-Prozedur

### hPosition

    public int hPosition()

  liefert die gegenwaertige horizontale Koordinate der Position der Maus auf dem Bildschirm, unabhaengig davon, ob die Maus gedrueckt wurde.

  Returns:
    aktuelle horizontale position des Maus

### istGedrueckt

    public boolean istGedrueckt()

  Prueft, ob eine Maustaste im Moment gedrueckt ist.

  Returns:
    true, wenn eine Maustaste gedrueckt ist.

### spezialKlick

    public boolean spezialKlick()

  Aus Kompatibilitätsgründen: spezialKlick() heisst jetzt doppelKlick().

### vPosition

    public int vPosition()

  liefert die gegenwaertige vertikale Koordinate der Position der Maus auf dem Bildschirm, unabhaengig davon, ob die Maus gedrueckt wurde.

  Returns:
    aktuelle horizontale position des Maus

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD